Browsable Browsable Docs

Reddit Multireddit

Endpoint reference for /v1/reddit/user/:username/m/:multiName.

POST /v1/reddit/user/:username/m/:multiName

Request Parameters

Name In Type Required Description
multiName path string Yes Multireddit name
username path string Yes Username
after body string No Pagination cursor
limit body number No Number of posts

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/user/Stylish%20Shoreditch%20Loft%20with%20Balcony/m/Stylish%20Shoreditch%20Loft%20with%20Balcony" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","limit":1.5}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/reddit/user/Stylish%20Shoreditch%20Loft%20with%20Balcony/m/Stylish%20Shoreditch%20Loft%20with%20Balcony" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","limit":1.5,"_run":{"async":false}}'